/* Recreate objects script.
 * 
 * Generated via Object Desktop Package File 'Object Package'.
 */

/* Register with REXX API extensions. */
Call RxFuncAdd 'SysLoadFuncs', 'RexxUtil', 'SysLoadFuncs'
Call SysLoadFuncs

/* Get creation disposition. */
Say 'When object exists object creation should:' 
Call CharOut, '  (U=Update, R=Replace, F=Fail) : '
Parse Upper Pull Answer
CreateCollision = 'Fail'
If Left( Answer, 1 ) = R Then CreateCollision = 'Replace' 
If Left( Answer, 1 ) = U Then CreateCollision = 'Update' 

Call RegisterClasses
Call CreateObjects
Exit

CreateObject: procedure
    Parse Arg Class, Title, Location, Setup, Collision
    Say 'Creating ['Title']'
    rc = SysCreateObject( Class, Title, Location, Setup, Collision )
    If rc <> 1 Then
        Say ' > failed to create ['Title' | 'Class'] at location ['Location']'
    return rc

CreateObjects:

rc = CreateObject( 'WPFolder',,
    'OS/2 Peer',,
    '<WP_OS2SYS>',,
    'NOTDEFAULTICON=YES;'||,
        'NOPRINT=YES;'||,
        'DEFAULTVIEW=CONTENTS;'||,
        'HELPPANEL=302;'||,
        'HELPLIBRARY=C:\IBMLAN\NETPROG\LSIWOBJS.HLP;'||,
        'ICONPOS=30,22;'||,
        'ICONVIEWPOS=10 17 80 28;'||,
        'SELFCLOSE=1;'||,
        'ICONFONT=8.Tms Rmn;'||,
        'DETAILSFONT=8.Tms Rmn;'||,
        'TREEFONT=8.Tms Rmn;'||,
        'ICONVIEW=NONGRID,NORMAL;'||,
        'DETAILSVIEW=MINI;'||,
        'TREEVIEW=LINES,MINI;'||,
        'ICONFILE=C:\1\Recreate_Peer_Folder\OS!2 Peer.ICO;'||,
        'OBJECTID=<LS_FOLDER>',,
    CreateCollision )

  rc = CreateObject( 'WPProgram',,
      'Audit Log',,
      '<LS_FOLDER>',,
      'NOPRINT=YES;'||,
          'DEFAULTVIEW=RUNNING;'||,
          'HELPPANEL=315;'||,
          'HELPLIBRARY=C:\IBMLAN\NETPROG\LSIWOBJS.HLP;'||,
          'ICONPOS=2,19;'||,
          'EXENAME=C:\IBMLAN\NETPROG\LSAUDIT.EXE;'||,
          'STARTUPDIR=C:\IBMLAN\LOGS;'||,
          'PROGTYPE=PM;'||,
          'OBJECTID=<LS_AUDIT>',,
      CreateCollision )

  rc = CreateObject( 'WPProgram',,
      'Installation',,
      '<LS_FOLDER>',,
      'NOPRINT=YES;'||,
          'MINWIN=DESKTOP;'||,
          'DEFAULTVIEW=RUNNING;'||,
          'HELPPANEL=301;'||,
          'HELPLIBRARY=C:\IBMLAN\NETPROG\LSIWOBJS.HLP;'||,
          'ICONPOS=21,19;'||,
          'EXENAME=C:\IBMLAN\INSTALL\PEERINST.EXE;'||,
          'STARTUPDIR=C:\IBMLAN\INSTALL;'||,
          'PARAMETERS=/20;'||,
          'PROGTYPE=FULLSCREEN;'||,
          'MINIMIZED=YES;'||,
          'OBJECTID=<LS_INSTALL>',,
      CreateCollision )

  rc = CreateObject( 'WPProgram',,
      'Error Log',,
      '<LS_FOLDER>',,
      'NOPRINT=YES;'||,
          'DEFAULTVIEW=RUNNING;'||,
          'HELPPANEL=314;'||,
          'HELPLIBRARY=C:\IBMLAN\NETPROG\LSIWOBJS.HLP;'||,
          'ICONPOS=7,19;'||,
          'EXENAME=C:\IBMLAN\NETPROG\LSERROR.EXE;'||,
          'STARTUPDIR=C:\IBMLAN\LOGS;'||,
          'PROGTYPE=PM;'||,
          'OBJECTID=<LS_ERROR>',,
      CreateCollision )

  rc = CreateObject( 'WPProgram',,
      'LAN Server^Administration',,
      '<LS_FOLDER>',,
      'NOPRINT=YES;'||,
          'DEFAULTVIEW=RUNNING;'||,
          'HELPPANEL=321;'||,
          'HELPLIBRARY=C:\IBMLAN\NETPROG\LSIWOBJS.HLP;'||,
          'ICONPOS=28,19;'||,
          'EXENAME=C:\IBMLAN\NETPROG\NETGUI.EXE;'||,
          'STARTUPDIR=C:\IBMLAN\NETPROG;'||,
          'PROGTYPE=PM;'||,
          'OBJECTID=<LS_ADMIN>',,
      CreateCollision )

  rc = CreateObject( 'LSPeerWorkstation',,
      'Shared Resources and^Network Connections',,
      '<LS_FOLDER>',,
      'NOPRINT=YES;'||,
          'MINWIN=DESKTOP;'||,
          'DEFAULTVIEW=SETTINGS;'||,
          'HELPPANEL=8001;'||,
          'HELPLIBRARY=LSPRWPS.HLP;'||,
          'ICONPOS=5,11;'||,
          'OBJECTID=<PEER_WKST>',,
      CreateCollision )

  rc = CreateObject( 'WPProgram',,
      'Start OS/2 Peer',,
      '<LS_FOLDER>',,
      'NOPRINT=YES;'||,
          'MINWIN=DESKTOP;'||,
          'DEFAULTVIEW=RUNNING;'||,
          'HELPPANEL=307;'||,
          'HELPLIBRARY=C:\IBMLAN\NETPROG\LSIWOBJS.HLP;'||,
          'ICONPOS=14,11;'||,
          'EXENAME=C:\IBMLAN\NETPROG\NETSTCMD.CMD;'||,
          'STARTUPDIR=C:\IBMLAN\NETPROG;'||,
          'PARAMETERS=START PEER;'||,
          'PROGTYPE=WINDOWABLEVIO;'||,
          'OBJECTID=<LS_START>',,
      CreateCollision )

  rc = CreateObject( 'WPProgram',,
      'Peer Workstation^Logon',,
      '<LS_FOLDER>',,
      'NOPRINT=YES;'||,
          'MINWIN=DESKTOP;'||,
          'DEFAULTVIEW=RUNNING;'||,
          'HELPPANEL=308;'||,
          'HELPLIBRARY=C:\IBMLAN\NETPROG\LSIWOBJS.HLP;'||,
          'ICONPOS=72,19;'||,
          'EXENAME=C:\MUGLIB\LOGON.EXE;'||,
          'STARTUPDIR=C:\MUGLIB;'||,
          'PARAMETERS=/v:local;'||,
          'PROGTYPE=PM;'||,
          'OBJECTID=<PEER_LOCALLOGON>',,
      CreateCollision )

  rc = CreateObject( 'WPProgram',,
      'Network DDE^and Clipboard',,
      '<LS_FOLDER>',,
      'NOPRINT=YES;'||,
          'DEFAULTVIEW=RUNNING;'||,
          'HELPPANEL=304;'||,
          'HELPLIBRARY=C:\IBMLAN\NETPROG\LSIWOBJS.HLP;'||,
          'ICONPOS=44,19;'||,
          'EXENAME=C:\IBMLAN\NETPROG\NWDDE.EXE;'||,
          'STARTUPDIR=C:\IBMLAN\NETPROG;'||,
          'PROGTYPE=PM;'||,
          'OBJECTID=<LS_CLIP>',,
      CreateCollision )

  rc = CreateObject( 'WPProgram',,
      'File and Print Client^Workstation Logon',,
      '<LS_FOLDER>',,
      'NOPRINT=YES;'||,
          'MINWIN=DESKTOP;'||,
          'DEFAULTVIEW=RUNNING;'||,
          'HELPPANEL=308;'||,
          'HELPLIBRARY=C:\IBMLAN\NETPROG\LSIWOBJS.HLP;'||,
          'ICONPOS=14,19;'||,
          'EXENAME=C:\MUGLIB\LOGON.EXE;'||,
          'STARTUPDIR=C:\MUGLIB;'||,
          'PARAMETERS=/v:local ;'||,
          'PROGTYPE=WINDOWABLEVIO;'||,
          'MINIMIZED=YES;'||,
          'OBJECTID=<File_and_Print_Client_Workstation_Logon>',,
      CreateCollision )

  rc = CreateObject( 'WPProgram',,
      'LAN Server^Logon',,
      '<LS_FOLDER>',,
      'NOTDEFAULTICON=YES;'||,
          'NOPRINT=YES;'||,
          'MINWIN=DESKTOP;'||,
          'DEFAULTVIEW=RUNNING;'||,
          'HELPPANEL=308;'||,
          'HELPLIBRARY=C:\IBMLAN\NETPROG\LSIWOBJS.HLP;'||,
          'ICONPOS=34,19;'||,
          'EXENAME=C:\MUGLIB\LOGON.EXE;'||,
          'STARTUPDIR=C:\MUGLIB;'||,
          'PARAMETERS=/v:domain /d;'||,
          'PROGTYPE=PM;'||,
          'ICONFILE=C:\1\Recreate_Peer_Folder\LAN Server!Logon.ICO;'||,
          'OBJECTID=<PEER_LANLOGON>',,
      CreateCollision )

  rc = CreateObject( 'WPProgram',,
      'Network Messaging',,
      '<LS_FOLDER>',,
      'NOPRINT=YES;'||,
          'DEFAULTVIEW=RUNNING;'||,
          'HELPPANEL=305;'||,
          'HELPLIBRARY=C:\IBMLAN\NETPROG\LSIWOBJS.HLP;'||,
          'ICONPOS=52,19;'||,
          'EXENAME=C:\IBMLAN\NETPROG\NETMSG.EXE;'||,
          'STARTUPDIR=C:\IBMLAN\NETPROG;'||,
          'PROGTYPE=PM;'||,
          'OBJECTID=<LS_NETMSG>',,
      CreateCollision )

  rc = CreateObject( 'WPProgram',,
      'Logoff',,
      '<LS_FOLDER>',,
      'NOPRINT=YES;'||,
          'MINWIN=DESKTOP;'||,
          'DEFAULTVIEW=RUNNING;'||,
          'HELPPANEL=309;'||,
          'HELPLIBRARY=C:\IBMLAN\NETPROG\LSIWOBJS.HLP;'||,
          'ICONPOS=39,19;'||,
          'EXENAME=C:\MUGLIB\LOGOFF.EXE;'||,
          'STARTUPDIR=C:\MUGLIB;'||,
          'PARAMETERS=/L;'||,
          'PROGTYPE=PM;'||,
          'OBJECTID=<PEER_LOGOFF>',,
      CreateCollision )

  rc = CreateObject( 'LSPeerUser',,
      'Network User Account',,
      '<LS_FOLDER>',,
      'NOPRINT=YES;'||,
          'MINWIN=DESKTOP;'||,
          'DEFAULTVIEW=SETTINGS;'||,
          'HELPPANEL=7501;'||,
          'HELPLIBRARY=LSPRWPS.HLP;'||,
          'ICONPOS=63,19;'||,
          'OBJECTID=<PEER_USER>',,
      CreateCollision )

return

RegisterClasses:

Say
Say 'Registering classes....'
Say
Say 'The following classes will be registered:'
Say
Say '  LSPeerWorkstatio  WPObjectPlus      PRDirectory       LSPeerUser        '
Say '  TSEnhFolder       WPSecure          WPSecpgm          LSDirectory       '
Say
Say 'Press enter to register 8 classes for object creation,'
Call CharOut, 'or type any other key and enter to ignore: '
Say
Parse Pull Answer
If Answer <> '' Then return
  If SysRegisterObjectClass( 'LSPeerWorkstation', 'LSPRWPS' ) <> 1 Then
      Say 'Can''t register class LSPeerWorkstation with LSPRWPS.'
  Else
      Say 'Registered class LSPeerWorkstation with LSPRWPS.'

  If SysRegisterObjectClass( 'WPObjectPlus', 'C:\APPS\WPSTOOLS\OBJPLUS.DLL' ) <> 1 Then
      Say 'Can''t register class WPObjectPlus with C:\APPS\WPSTOOLS\OBJPLUS.DLL.'
  Else
      Say 'Registered class WPObjectPlus with C:\APPS\WPSTOOLS\OBJPLUS.DLL.'

  If SysRegisterObjectClass( 'PRDirectory', 'LSPRWPS' ) <> 1 Then
      Say 'Can''t register class PRDirectory with LSPRWPS.'
  Else
      Say 'Registered class PRDirectory with LSPRWPS.'

  If SysRegisterObjectClass( 'LSPeerUser', 'LSPRWPS' ) <> 1 Then
      Say 'Can''t register class LSPeerUser with LSPRWPS.'
  Else
      Say 'Registered class LSPeerUser with LSPRWPS.'

  If SysRegisterObjectClass( 'TSEnhFolder', 'OBJDEFLD' ) <> 1 Then
      Say 'Can''t register class TSEnhFolder with OBJDEFLD.'
  Else
      Say 'Registered class TSEnhFolder with OBJDEFLD.'

  If SysRegisterObjectClass( 'WPSecure', 'WPSECURE' ) <> 1 Then
      Say 'Can''t register class WPSecure with WPSECURE.'
  Else
      Say 'Registered class WPSecure with WPSECURE.'

  If SysRegisterObjectClass( 'WPSecpgm', 'WPSECPGM' ) <> 1 Then
      Say 'Can''t register class WPSecpgm with WPSECPGM.'
  Else
      Say 'Registered class WPSecpgm with WPSECPGM.'

  If SysRegisterObjectClass( 'LSDirectory', 'LSGWPS' ) <> 1 Then
      Say 'Can''t register class LSDirectory with LSGWPS.'
  Else
      Say 'Registered class LSDirectory with LSGWPS.'

return

